
package de.ivu.elect.business.wahlausschuss.boundary;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.person.entity.PersonStatus;
import de.ivu.elect.business.person.entity.PersonenregisterAbgleichStatus;
import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;

@Specializes
public class WahlausschussmitgliedDefaultFactory extends WahlausschussmitgliedFactory {

  private static final long serialVersionUID = 1L;

  public WahlausschussmitgliedDefaultFactory() {
    super();
  }

  @Override
  public void initDefaultAttributes(Wahlausschussmitglied wahlausschussmitglied) {
    super.initDefaultAttributes(wahlausschussmitglied);

    wahlausschussmitglied.setPersonStatus(PersonStatus.UNGEPRUEFT);
    wahlausschussmitglied.setPersonenregisterAbgleichStatus(PersonenregisterAbgleichStatus.ABGLEICH_NOTWENDIG);
  }
}
